<?php
/**
 * @package Pixilate
 */
?>

<article id="post-<?php the_ID(); ?>" <?php post_class( 'panel' ); ?>>
	<?php
	// Display a featured image to the left of the post
	if ( has_post_thumbnail() ) : ?>
		<div class="featured-image">
			<?php the_attachment_link( get_post_thumbnail_id(), false, false, true ); ?>
		</div>
		
		<div class="twothirds">
	<?php else : ?>
		<div class="full-width">
	<?php endif; ?>
	
			<header class="entry-header">
				<h1 class="entry-title"><?php the_title(); ?></h1>

				<div class="entry-meta">
					<?php pixilate_posted_on(); ?>
				</div><!-- .entry-meta -->
			</header><!-- .entry-header -->

			<div class="entry-content">
				<?php the_content(); ?>
				<?php
				wp_link_pages( array(
					'before' => '<div class="page-links">' . __( 'Pages:', 'pixilate' ),
					'after'  => '</div>',
				) );
				?>
			</div><!-- .entry-content -->

			<footer class="entry-meta">
				<?php
				/* translators: used between list items, there is a space after the comma */
				$category_list = get_the_category_list( __( ', ', 'pixilate' ) );

				/* translators: used between list items, there is a space after the comma */
				$tag_list = get_the_tag_list( '', __( ', ', 'pixilate' ) );

				if ( ! pixilate_categorized_blog() ) :
					// This blog only has 1 category so we just need to worry about tags in the meta text
					if ( '' != $tag_list ) :
						$meta_text = __( 'This entry was tagged %2$s. Bookmark the <a href="%3$s" rel="bookmark">permalink</a>.', 'pixilate' );
					else :
						$meta_text = __( 'Bookmark the <a href="%3$s" rel="bookmark">permalink</a>.', 'pixilate' );
					endif;

				else :
					// But this blog has loads of categories so we should probably display them here
					if ( '' != $tag_list ) :
						$meta_text = __( 'This entry was posted in %1$s and tagged %2$s. Bookmark the <a href="%3$s" rel="bookmark">permalink</a>.', 'pixilate' );
					else :
					$meta_text = __( 'This entry was posted in %1$s. Bookmark the <a href="%3$s" rel="bookmark">permalink</a>.', 'pixilate' );
					endif;

				endif; // end check for categories on this blog

				printf(
					$meta_text,
					$category_list,
					$tag_list,
					get_permalink()
				);
				?>

				<?php edit_post_link( __( 'Edit', 'pixilate' ), '<span class="edit-link">', '</span>' ); ?>
			</footer><!-- .entry-meta -->
		</div>
</article><!-- #post-## -->